### Function

# Camel memchunk_clean

since: 3.4

#### Declaration [src]

    void
    camel_memchunk_clean (
      CamelMemChunk* memchunk
    )

#### Description [src]

Scan all empty blocks and check for blocks which can be free’d back to the system.

This routine may take a while to run if there are many allocated memory blocks (if the total number of allocations is many times greater than atomcount).

Available since: 3.4

This function is not directly available to language bindings.

#### Parameters

`memchunk`

  Type: `CamelMemChunk`

  A `CamelMemChunk`.

  The data is owned by the caller of the function.